Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCDataControlDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCDataControlDef`

All Implemented Interfaces:
  java.util.Map

Direct Known Subclasses:
  AdapterDataControlDef, JUDataControlDefImpl

public class DCDataControlDef
extends DCDefBase
implements java.util.Map

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`protected java.lang.Object` | `mDacObj`
`protected oracle.jbo.mom.xml.DefPersistable` | `mOuter`
`protected DCParameterSetDef` | `mParameters`
`static java.lang.String` | `STR_TRUE`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`` | `DCDataControlDef()`
`protected` | `DCDataControlDef(oracle.jbo.mom.xml.DefPersistable outer)`
`` | `DCDataControlDef(java.lang.String name)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`static DCDefBase` | `createAndLoadFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.lang.String appName)`
`java.util.Set` | `entrySet()`
`static DCDataControlDef` | `findDefObject(java.lang.String objectName)`
`java.lang.Object` | `get(java.lang.Object key)`
`java.lang.String` | `getBeanClass()`
`java.lang.String` | `getConfiguration()`
`java.lang.Object` | `getDacObj()`
`java.util.HashMap` | `getDCProperties()`
`java.lang.String` | `getDefinitionClass()`
`java.lang.String` | `getDTClassName()`
`java.lang.String` | `getFactoryClass()`
`java.lang.String` | `getPackageName()`
`java.util.HashMap` | `getParameters()`
`java.lang.String` | `getProjectConfigurer()`
`java.lang.String` | `getXMLElementTag()` Returns a piece of static info for the type of object this is invoked upon.
`void` | `init(java.util.HashMap initValues)`
`boolean` | `isBeanSession()`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`protected void` | `loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map t)`
`java.lang.Object` | `remove(java.lang.Object key)`
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)`
`void` | `setBeanClass(java.lang.String name)`
`void` | `setConfiguration(java.lang.String name)`
`void` | `setDacObj(java.lang.Object obj)`
`void` | `setDefinitionClass(java.lang.String name)`
`void` | `setFactoryClass(java.lang.String name)`
`void` | `setPackageName(java.lang.String name)`
`void` | `setProjectConfigurer(java.lang.String projectConfigurer)`
`int` | `size()`
`boolean` | `supportsFindMode()`
`boolean` | `supportsTransactions()`
`java.util.Collection` | `values()`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, getDefClassName, getSubType, initSubType, isDirty, isNew, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### STR_TRUE

    public static final java.lang.String STR_TRUE

  See Also:
    Constant Field Values

### mOuter

    protected oracle.jbo.mom.xml.DefPersistable mOuter

### mDacObj

    protected java.lang.Object mDacObj

### mParameters

    protected DCParameterSetDef mParameters

Constructor Detail

### DCDataControlDef

    public DCDataControlDef()

### DCDataControlDef

    public DCDataControlDef(java.lang.String name)

### DCDataControlDef

    protected DCDataControlDef(oracle.jbo.mom.xml.DefPersistable outer)

Method Detail

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `DCDefBase`

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

  Overrides:
    `retrieveFromXML` in class `DCDefBase`

### loadChildrenFromXML

    protected void loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

  Overrides:
    `loadChildrenFromXML` in class `DCDefBase`

### supportsTransactions

    public boolean supportsTransactions()

### supportsFindMode

    public boolean supportsFindMode()

### getParameters

    public java.util.HashMap getParameters()

### setDacObj

    public void setDacObj(java.lang.Object obj)

### getDacObj

    public java.lang.Object getDacObj()

### getDTClassName

    public java.lang.String getDTClassName()

### setPackageName

    public void setPackageName(java.lang.String name)

### getPackageName

    public java.lang.String getPackageName()

### setConfiguration

    public void setConfiguration(java.lang.String name)

### getConfiguration

    public java.lang.String getConfiguration()

### isBeanSession

    public boolean isBeanSession()

### setFactoryClass

    public void setFactoryClass(java.lang.String name)

### getFactoryClass

    public java.lang.String getFactoryClass()

### setBeanClass

    public void setBeanClass(java.lang.String name)

### getBeanClass

    public java.lang.String getBeanClass()

### setDefinitionClass

    public void setDefinitionClass(java.lang.String name)

### getDefinitionClass

    public java.lang.String getDefinitionClass()

### getProjectConfigurer

    public java.lang.String getProjectConfigurer()

### setProjectConfigurer

    public void setProjectConfigurer(java.lang.String projectConfigurer)

### getXMLElementTag

    public java.lang.String getXMLElementTag()

  Returns a piece of static info for the type of object this is invoked upon. Examples are PreparedStatements for insert, update, delete, and String containing a base the select statement for retrieving instances of this type through the SQLInputStream
  Specified by:
    `getXMLElementTag` in class `DCDefBase`
  Returns:
    returns the Statement required to store in Persitent Storage. Incase of XML, it just returns the String. In the case of SQL a JDBC PreparedStatement is returned.

### createAndLoadFromXML

    public static DCDefBase createAndLoadFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                                 java.lang.String appName)

### getDCProperties

    public java.util.HashMap getDCProperties()

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map t)

  Specified by:
    `putAll` in interface `java.util.Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`

### findDefObject

    public static DCDataControlDef findDefObject(java.lang.String objectName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.